package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

public class AddElectricPlan implements Serializable {

    private String id;

    @NotBlank(message = "组件规格不能为空")
    private String assembly;

    @NotNull(message = "组件块数（大）不能为空")
    private Integer assemblyMax;

    @NotNull(message = "组件块数（小）不能为空")
    private Integer assemblyMin;


    private String inverter1;

    private String inverter2;

    private String inverter3;


    private String  box1;

    private String  box2;

    private String  box3;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAssembly() {
        return assembly;
    }

    public void setAssembly(String assembly) {
        this.assembly = assembly;
    }

    public Integer getAssemblyMax() {
        return assemblyMax;
    }

    public void setAssemblyMax(Integer assemblyMax) {
        this.assemblyMax = assemblyMax;
    }

    public Integer getAssemblyMin() {
        return assemblyMin;
    }

    public void setAssemblyMin(Integer assemblyMin) {
        this.assemblyMin = assemblyMin;
    }

    public String getInverter1() {
        return inverter1;
    }

    public void setInverter1(String inverter1) {
        this.inverter1 = inverter1;
    }

    public String getInverter2() {
        return inverter2;
    }

    public void setInverter2(String inverter2) {
        this.inverter2 = inverter2;
    }

    public String getInverter3() {
        return inverter3;
    }

    public void setInverter3(String inverter3) {
        this.inverter3 = inverter3;
    }

    public String getBox1() {
        return box1;
    }

    public void setBox1(String box1) {
        this.box1 = box1;
    }

    public String getBox2() {
        return box2;
    }

    public void setBox2(String box2) {
        this.box2 = box2;
    }

    public String getBox3() {
        return box3;
    }

    public void setBox3(String box3) {
        this.box3 = box3;
    }

}
